#!/bin/bash

# Volume
vol=$(awk -F"[][]" '/Left:/ { print $2 }' <(amixer sget Master))
# Battery
capacity=$(cat /sys/class/power_supply/BAT1/capacity)
status=$(cat /sys/class/power_supply/BAT1/status)
# Brightness
conn=$(xrandr -q | grep ' connected' | head -n 1 | cut -d ' ' -f1)
a=$(xrandr --verbose --current | grep ^$conn -A5 | tail -n1)
bright="${a##* }"

if [ "$1" == "rofi" ]; then
    rofi -modi drun,power:~/.config/rofi/power-menu -show drun -show-icons -theme Arc-Dark.rasi -columns 2 -lines 10 -window-thumbnail -opacity -width 80 -sidebar-mode -theme-str 'listview {columns: 2; lines: 10;} window {width: 80%; height: 60%;}'
elif [ "$1" == "vol" ] && [ "$2" == "up" ]; then
    pactl set-sink-volume @DEFAULT_SINK@ +5%
elif [ "$1" == "vol" ] && [ "$2" == "down" ]; then
    pactl set-sink-volume @DEFAULT_SINK@ -5%
elif [ "$1" == "vol" ]; then
    echo $vol
elif [ "$1" == "date" ]; then
    echo $(date +'%a, %F %R')
elif [ "$1" == "bat" ] && [ "$2" == "capacity" ]; then
	echo $capacity
elif [ "$1" == "bat" ] && [ "$2" == "status" ]; then
	echo $status
elif [ "$1" == "bright" ] && [ "$2" == "up" ]; then
	conn=$(xrandr -q | grep ' connected' | head -n 1 | cut -d ' ' -f1)
	a=$(xrandr --verbose --current | grep ^$conn -A5 | tail -n1)
	curb="${a##* }"
	[ "$curb" == "0.90" ] && xrandr --output $conn --brightness 1.0
	[ "$curb" == "0.80" ] && xrandr --output $conn --brightness 0.9
	[ "$curb" == "0.70" ] && xrandr --output $conn --brightness 0.8
	[ "$curb" == "0.60" ] && xrandr --output $conn --brightness 0.7
	[ "$curb" == "0.50" ] && xrandr --output $conn --brightness 0.6
	[ "$curb" == "0.40" ] && xrandr --output $conn --brightness 0.5
	[ "$curb" == "0.30" ] && xrandr --output $conn --brightness 0.4
	[ "$curb" == "0.20" ] && xrandr --output $conn --brightness 0.3
	[ "$curb" == "0.10" ] && xrandr --output $conn --brightness 0.2
elif [ "$1" == "bright" ] && [ "$2" == "down" ]; then
    conn=$(xrandr -q | grep ' connected' | head -n 1 | cut -d ' ' -f1)
	a=$(xrandr --verbose --current | grep ^$conn -A5 | tail -n1)
	curb="${a##* }"
	[ "$curb" == "1.0" ] && xrandr --output $conn --brightness 0.9
	[ "$curb" == "0.90" ] && xrandr --output $conn --brightness 0.8
	[ "$curb" == "0.80" ] && xrandr --output $conn --brightness 0.7
	[ "$curb" == "0.70" ] && xrandr --output $conn --brightness 0.6
	[ "$curb" == "0.60" ] && xrandr --output $conn --brightness 0.5
	[ "$curb" == "0.50" ] && xrandr --output $conn --brightness 0.4
	[ "$curb" == "0.40" ] && xrandr --output $conn --brightness 0.3
	[ "$curb" == "0.30" ] && xrandr --output $conn --brightness 0.2
	[ "$curb" == "0.20" ] && xrandr --output $conn --brightness 0.1
elif [ "$1" == "bright" ]; then
	echo $bright
elif [ "$1" == "info" ]; then
    xsetroot -name " Bright: $bright | Vol: $vol | $capacity% $status | $(date +'%a, %F %R') "
	sleep 2
	xsetroot -name " DAP "
else
    echo "Invalid argument."
fi
